
From: Paul Mackerras <paulus@samba.org>

This patch does nothing but fix up whitespace in three files in arch/ppc. 
It deletes trailing blanks and tabs in several places and joins two lines
that didn't need to be split.


---

 25-akpm/arch/ppc/platforms/pmac_pic.c   |    6 +++---
 25-akpm/arch/ppc/platforms/pmac_setup.c |   16 ++++++++--------
 25-akpm/arch/ppc/syslib/prom_init.c     |    3 +--
 3 files changed, 12 insertions(+), 13 deletions(-)

diff -puN arch/ppc/platforms/pmac_pic.c~ppc32-some-whitespace-fixes arch/ppc/platforms/pmac_pic.c
--- 25/arch/ppc/platforms/pmac_pic.c~ppc32-some-whitespace-fixes	2004-05-15 23:41:28.914714880 -0700
+++ 25-akpm/arch/ppc/platforms/pmac_pic.c	2004-05-15 23:41:28.921713816 -0700
@@ -260,7 +260,7 @@ pmac_fix_gatwick_interrupts(struct devic
 					node->child->intrs = &gatwick_int_pool[count];
 					count += 3;
 				}
-				node->child->n_intrs = 3;			
+				node->child->n_intrs = 3;
 				node->child->intrs[0].line = 15+irq_base;
 				node->child->intrs[1].line =  4+irq_base;
 				node->child->intrs[2].line =  5+irq_base;
@@ -279,7 +279,7 @@ pmac_fix_gatwick_interrupts(struct devic
 			node->intrs[0].line = 29+irq_base;
 			printk(KERN_INFO "irq: fixed media-bay on second controller (%d)\n",
 					node->intrs[0].line);
-		
+
 			ya_node = node->child;
 			while(ya_node)
 			{
@@ -501,7 +501,7 @@ void __init pmac_pic_init(void)
 				pmac_irq_hw[i] = (volatile struct pmac_irq_hw*)
 					(addr + (2 - i) * 0x10);
 		}
-	
+
 		/* get addresses of second controller */
 		irqctrler = irqctrler->next;
 		if (irqctrler && irqctrler->n_addrs > 0) {
diff -puN arch/ppc/platforms/pmac_setup.c~ppc32-some-whitespace-fixes arch/ppc/platforms/pmac_setup.c
--- 25/arch/ppc/platforms/pmac_setup.c~ppc32-some-whitespace-fixes	2004-05-15 23:41:28.915714728 -0700
+++ 25-akpm/arch/ppc/platforms/pmac_setup.c	2004-05-15 23:41:28.922713664 -0700
@@ -136,7 +136,7 @@ pmac_show_cpuinfo(struct seq_file *m)
 
 	if (pmac_call_feature(PMAC_FTR_GET_MB_INFO, NULL, PMAC_MB_INFO_NAME, (int)&mbname) != 0)
 		mbname = "Unknown";
-	
+
 	/* find motherboard type */
 	seq_printf(m, "machine\t\t: ");
 	np = find_devices("device-tree");
@@ -196,7 +196,7 @@ pmac_show_cpuinfo(struct seq_file *m)
 		int n;
 		struct reg_property *reg = (struct reg_property *)
 			get_property(np, "reg", &n);
-	
+
 		if (reg != 0) {
 			unsigned long total = 0;
 
@@ -207,9 +207,9 @@ pmac_show_cpuinfo(struct seq_file *m)
 	}
 
 	/* Checks "l2cr-value" property in the registry */
-	np = find_devices("cpus");	
+	np = find_devices("cpus");
 	if (np == 0)
-		np = find_type_devices("cpu");	
+		np = find_type_devices("cpu");
 	if (np != 0) {
 		unsigned int *l2cr = (unsigned int *)
 			get_property(np, "l2cr-value", NULL);
@@ -277,9 +277,9 @@ pmac_setup_arch(void)
 
 	/* Checks "l2cr-value" property in the registry */
 	if (cur_cpu_spec[0]->cpu_features & CPU_FTR_L2CR) {
-		struct device_node *np = find_devices("cpus");	
+		struct device_node *np = find_devices("cpus");
 		if (np == 0)
-			np = find_type_devices("cpu");	
+			np = find_type_devices("cpu");
 		if (np != 0) {
 			unsigned int *l2cr = (unsigned int *)
 				get_property(np, "l2cr-value", NULL);
@@ -478,11 +478,11 @@ pmac_restart(char *cmd)
 			cuda_poll();
 		break;
 #endif /* CONFIG_ADB_CUDA */
-#ifdef CONFIG_ADB_PMU	
+#ifdef CONFIG_ADB_PMU
 	case SYS_CTRLER_PMU:
 		pmu_restart();
 		break;
-#endif /* CONFIG_ADB_PMU */	
+#endif /* CONFIG_ADB_PMU */
 	default: ;
 	}
 }
diff -puN arch/ppc/syslib/prom_init.c~ppc32-some-whitespace-fixes arch/ppc/syslib/prom_init.c
--- 25/arch/ppc/syslib/prom_init.c~ppc32-some-whitespace-fixes	2004-05-15 23:41:28.917714424 -0700
+++ 25-akpm/arch/ppc/syslib/prom_init.c	2004-05-15 23:41:28.923713512 -0700
@@ -800,8 +800,7 @@ prom_init(int r3, int r4, prom_entry pp)
 
 	/* First get a handle for the stdout device */
 	prom = pp;
-	prom_chosen = call_prom("finddevice", 1, 1,
-				       "/chosen");
+	prom_chosen = call_prom("finddevice", 1, 1, "/chosen");
 	if (prom_chosen == (void *)-1)
 		prom_exit();
 	if ((int) call_prom("getprop", 4, 1, prom_chosen,

_
